AC(1)

NAZWA
ac - wypisuje statystyki odnośnie czasu połączenia użytkowników

SKŁADNIA

ac  [ -d | --daily-totals ] [ -y | --print-year ]
    [ -p | --individual-totals ] [ ludzie ]
    [ -f | --file nazwa-pliku ] [ -a | --all-days ]
    [ --complain ] [ --reboots ] [ --supplants ]
    [ --timewarps ] [ --compatibility ]
    [ --tw-leniency liczba ] [ --tw-suspicious liczba ]
    [ -z | --print-zeros ] [ --debug ]
    [ -V | --version ] [ -h | --help ]

OPIS

ac wypisuje czas połączenia (w godzinach) na podstawie zalogowań i wylogowań zapisanych w bieżącym pliku wtmp. Całość połączeń jest także wypisywana.

Plik wtmp jest nadzorowany przez init(8) i login(1). Ani ac ani login nie tworzą wtmp. Jeśli plik nie istnieje, dane nie są gromadzone. Aby zacząć prowadzić statystyki, proszę utworzyć pusty plik.

UWAGA: Plik wtmp może szybko stać się bardzo duży. Użytkownik może skracać go co jakiś czas.

GNU ac pracuje podobnie do Uniksowego ac, czasem jest trochę sprytniejsze w pewnych zadaniach. Można spodziewać się różnic w wyniku działania GNU ac i ac na innych systemach. Proszę użyć polecenia info accounting, aby dowiedzieć się więcej.

OPCJE
-d, --daily-totals
    Wypisuje całość połączeń dla każdego dnia, a nie całość dla całego pliku. Wynik działania wygląda tak:
            Jul 3 total 1.17
            Jul 4 total 2.10
            Jul 5 total 8.23
            Jul 6 total 2.10
            Jul 7 total 0.30
-p, --individual-totals
    Wypisuje czas połączeń dla każdego użytkownika, w przeciwieństwie do zwykłej zsumowanej wartości. Wygląda to tak:
            bob 8.06
            goff 0.60
            maley 7.37
            root 0.12
            total 16.15
ludzie
    Wypisuje sumę czasu połączeń wszystkich użytkowników zawartych w ludzie. Ludzie to lista użytkowników oddzielonych spacjami. Maski są niedozwolone.
-f, --file nazwa-pliku
    Czyta z pliku nazwa-pliku zamiast z systemowego wtmp
--complain
    Kiedy plik wtmp znajduje błąd (błąd związany z czasem, brakujący rekord, lub coś innego), wypisuje odpowiedni błąd.
--reboots
    Rekordy zamknięcia systemu nie są zapisywane w czasie zamykania systemu, lecz gdy system ponownie startuje; dlatego, jest niemożliwe aby znać dokładny czas zamknięcia systemu. Użytkownicy mogli zostać zalogowani do systemu podczas zamknięcia systemu; wiele programów ac automatycznie liczy czas pomiędzy rekordem zalogowania a zamknięcia systemu dla każdego użytkownika (nawet gdy nie powinny, na przykład gdy system jest wyłączony przez dłuższy czas). Aby wziąć ten czas pod uwagę, proszę włączyć tę flagę. *W celu zachowania kompatybilności z oryginalną wersją ac, proszę włączyć tę flagę.*
--supplants
    Czasami rekord wylogowania nie jest zapisywany dla danego terminala, dlatego czas ostatniego połączenia dla danego użytkownika nie może być obliczony. Aby wziąć pod uwagę ten czas od zalogowania danego użytkownika do następnego zalogowania na terminal (chociaż możliwe, że niewłaściwy) proszę włączyć tę flagę. *W celu zachowania kompatybilności z oryginalną wersją ac, proszę włączyć tę flagę.*
--timewarps
    Czasami wpisy w pliku wtmp będą nagle przeskakiwały w tył, bez wpisu o zmianie zegara systemowego. Jeśli coś takiego wystąpi, niemożliwe jest przewidzenie jak długo użytkownik był zalogowany. Aby wziąć pod uwagę czas pomiędzy zalogowaniem użytkownika, a błędem czasowym proszę włączyć tę flagę. *W celu zachowania kompatybilności z oryginalną wersją ac, proszę włączyć tę flagę.*
--compatibility
    To jest skrót dla wpisywania trzech powyższych opcji.
-a, --all-days
    Jeśli wypisywane są dzienne statystyki, zamiast pomijać upływające dni, w których nie było zalogowań, wypisywane są również rekordy dla każdego dnia. Bez tej flagi, czas, który upłynął podczas tych upływających dni, jest wypisywany pod następnym dniem, w którym nie było zalogowań.
--tw-leniency liczba
    Ustawia tolerancję błędu czasowego na liczbę sekund. Rekordy w pliku wtmp mogą być lekko nie poukładane (często ma to miejsce, gdy dwa zalogowania występują w jednej sekundzie - drugie zalogowanie jest wpisywane pierwsze). Standardowo, wartość ta jest ustawiana na 60. Jeśli program napotka na problemy, czas nie jest dodawany dla użytkowników, chyba że użyta jest flaga --timewarps.
--tw-suspicious liczba
    Ustawia podejrzenie błędu czasowego na liczbę sekund. Jeśli dwa rekordy w pliku wtmp są oddalone od siebie dalej niż podana liczba sekund, występuje problem z plikiem wtmp (lub komputer nie był włączany od roku). Jeśli program napotka na ten problem, czas nie jest dodawany dla użytkowników, chyba że użyta jest flaga --timewarps.
-y, --print-year
    Wypisuje rok podczas wyświetlania daty.
-z, --print-zeros
    Jeśli całość dla dowolnej kategorii jest równa zero, jest wypisywana. Standardowo pomija się wypisywanie.
--debug
    Wypisuje wewnętrzne informacje w sposób szczegółowy.
-V, --version
    Wypisuje numer wersji ac na standardowe wyjście i wychodzi.
-h, --help
    Wypisuje sposób użycia ac na standardowe wyjście i wychodzi.

PLIKI
wtmp
    Systemowy plik z zapisanymi rekordami zalogowań. Proszę przejść do wtmp(5), aby uzyskać więcej informacji.

AUTOR
Narzędzia statystyczne GNU zostały napisane przez Noela Cragga <noel@gnu.ai.mit.edu>. Strona podręcznika systemowego dostosowana ze strony texinfo o statystykach napisanej przez Susan Kleinmann <sgk@sgk.tiac.net>.

ZOBACZ TAKŻE
login(1), wtmp(5), init(8), sa(8)

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Bartek Głośnicki <bartek@miramex.com.pl> i Michał Kułach <michal.kulach@gmail.com>
Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.
Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.